<?php

use TYPO3\CMS\Core\Utility\VersionNumberUtility;

defined('TYPO3_MODE') || die('Access denied.');

call_user_func(
    function()
    {

        // Ermitteln der T3 Versionsnummer und entsprechend abfragen
        $t3version = \TYPO3\CMS\Core\Utility\VersionNumberUtility::convertVersionNumberToInteger(TYPO3_version);

        if ($t3version >= 9005000) {

            \TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
                'DTInternet.DtiCookienote',
                'Cookienotehtml',
                'DSGVO-Konforme HTML-Einbindung'
            );

            \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile('dti_cookienote', 'Configuration/TypoScript',
                'Cookie Hinweis');

        } else {

            \TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
                'DTInternet.DtiCookienote',
                'Cookienotehtml',
                'DSGVO-Konforme HTML-Einbindung'
            );

            \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addStaticFile('dti_cookienote', 'Configuration/TypoScriptBefore',
                'Cookie Hinweis');
        }

    }
);

if (version_compare(TYPO3_branch, '7.6', '<')) {
} else {
    $iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance('TYPO3\\CMS\\Core\\Imaging\\IconRegistry');

    $iconRegistry->registerIcon(
        'dti_cookienote-plugin-cookienotehtml',
        'TYPO3\\CMS\\Core\\Imaging\\IconProvider\\SvgIconProvider',
        ['source' => 'EXT:dti_cookienote/Resources/Public/Icons/Be_Modul.svg']
    );
}

// ExtensionName
$extensionName = \TYPO3\CMS\Core\Utility\GeneralUtility::underscoredToUpperCamelCase($_EXTKEY);
// PlugIn HTML-PLugIn
$pluginSignatureGeneral = strtolower($extensionName) . '_cookienotehtml';
// Disable the display of layout, select_key and page fields
$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_excludelist'][$pluginSignatureGeneral] = 'select_key,recursive';
// Add FlexForm
$TCA['tt_content']['types']['list']['subtypes_addlist'][$pluginSignatureGeneral] = 'pi_flexform';
// Activate the display of the plugin FlexForm field and set FlexForm definition
// FlexForms
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue($pluginSignatureGeneral,
    'FILE:EXT:' . $_EXTKEY . '/Configuration/FlexForms/flexform_cookienotehtml.xml');

